> ## Documentation Index
> Fetch the complete documentation index at: https://docs.outerport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get document visual components

> Retrieves all visual components associated with a document.

## Get document visual components

Retrieves all visual components associated with a document.

### Path Parameters

<ParamField path name="document_id" type="integer" required>
  No description provided
</ParamField>

### Response

<ResponseField name="data" type="object">
  The response data for this endpoint.
</ResponseField>

<ResponseExample>
  ```json
  [
    {
      "id": 123,
      "type": "string",
      "document_id": 123,
      "page_number": 123,
      "label": "string",
      "bbox": {
        "x0": 123.45,
        "y0": 123.45,
        "x1": 123.45,
        "y1": 123.45
      },
      "description": "string",
      "created_at": "string",
      "updated_at": "string"
    }
  ]
  ```
</ResponseExample>
